chgiphost.sh Fails with java.lang.UnsatisfiedLinkError Can't find library pass (libpass.so or .so) in sun.boot.library.path or java.library.path (Doc ID 734821.1)

Last updated on NOVEMBER 05, 2016

Applies to:

Oracle Fusion Middleware - Version: 10.1.2.3.0 to 10.1.2.3.0 - Release: AS10gR2 to AS10gR2
Linux x86
IBM AIX on POWER Systems (64-bit)
Oracle Application Server 10g
Checked for relevance on 27-Feb-2012

Symptoms

When running the chgiphost.sh script the following error happens:

Exception in thread "main" java.lang.UnsatisfiedLinkError: Can't find library pass (libpass.so or .so) in sun.boot.library.path or java.library.path
sun.boot.library.path=<path_to_oracle_home>/jdk/jre/bin
java.library.path=<path_to_oracle_home>/jdk/bin:<path_to_oracle_home>/jdk/jre/bin/classic:<path_to_oracle_home>/jdk/jre/bin:<path_to_oracle_home>/bin:<path_to_oracle_home>/lib32:<path_to_oracle_home>/chgip/lib:<path_to_oracle_home>/jdk/jre/bin/sovvm:/usr/lib
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:2044)
at java.lang.Runtime.loadLibrary0(Runtime.java:824)
at java.lang.System.loadLibrary(System.java:910)
at oracle.chgip.InteractiveInterfaceManager.<clinit>(InteractiveInterfaceManager.java:72)
at oracle.chgip.InterfaceManager.createInterfaceManager(InterfaceManager.java:133)
at oracle.chgip.InterfaceManager.getInterfaceManager(InterfaceManager.java:113)
at oracle.chgip.Session.<init>(Session.java:81)
at oracle.chgip.StartUp.main(StartUp.java:250)
+ exit 1

In the install log the following message is logged:

Change Hostname/IP completed successfully.

Changes

This issue happens after installing the Oracle Application Server 10g Release 2 Patch Set 3 (10.1.2.3.0).

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms